package handlers

import (
	"strings"

	"otaupdate/docs"

	"github.com/fiskerinc/cloud-services/pkg/httphandlers"
	"github.com/fiskerinc/cloud-services/pkg/utils/envtool"
)

func InitSwaggerDoc() {
	schemes := envtool.GetEnv("SWAGGER_SCHEMES", "https")

	docs.SwaggerInfo.Title = "Fisker Inc OTA API"
	docs.SwaggerInfo.Description = "Fisker Inc OTA portals APIs"
	docs.SwaggerInfo.Version = "1.0"
	docs.SwaggerInfo.Host = ""
	docs.SwaggerInfo.BasePath = httphandlers.ServiceBaseURL
	docs.SwaggerInfo.Schemes = strings.Split(schemes, ",")
}
